[ARVADOS] updated: 3bf898db1a6f0db043060cd601131b17bd6ef82d
Git user
git at public.curoverse.com
Thu Sep 15 09:50:34 EDT 2016
Summary of changes:
build/run-tests.sh | 20 ++++++++++++++++----
1 file changed, 16 insertions(+), 4 deletions(-)
via 3bf898db1a6f0db043060cd601131b17bd6ef82d (commit)
via d9ef9d79b7a81a20d942efdf7af66fe5351eeec4 (commit)
from 275637f3ce7fcaacd8f41cd038b15332785298ef (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 3bf898db1a6f0db043060cd601131b17bd6ef82d
Merge: 275637f d9ef9d7
Author: Tom Clegg <tom at curoverse.com>
Date: Thu Sep 15 09:50:15 2016 -0400
Merge branch '9986-fuse-retry-if-killed' closes #9986
commit d9ef9d79b7a81a20d942efdf7af66fe5351eeec4
Author: Tom Clegg <tom at curoverse.com>
Date: Wed Sep 14 16:34:05 2016 -0400
9986: Retry (up to 2 times) any python test suite killed by SIGKILL.
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 6331ec2..2797ec3 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -540,10 +540,22 @@ do_test_once() {
fi
elif [[ "$2" == "pip" ]]
then
- # $3 can name a path directory for us to use, including trailing
- # slash; e.g., the bin/ subdirectory of a virtualenv.
- cd "$WORKSPACE/$1" \
- && "${3}python" setup.py ${short:+--short-tests-only} test ${testargs[$1]}
+ tries=0
+ cd "$WORKSPACE/$1" && while :
+ do
+ tries=$((${tries}+1))
+ # $3 can name a path directory for us to use, including trailing
+ # slash; e.g., the bin/ subdirectory of a virtualenv.
+ "${3}python" setup.py ${short:+--short-tests-only} test ${testargs[$1]}
+ result=$?
+ if [[ ${tries} < 3 && ${result} == 137 ]]
+ then
+ printf '\n*****\n%s tests killed -- retrying\n*****\n\n' "$1"
+ continue
+ else
+ break
+ fi
+ done
elif [[ "$2" != "" ]]
then
"test_$2"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list